
QGIS Application - Bug report #7529

qgis crashes when using more than once the "column filter" tool

2013-04-06 10:34 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16473

Description

Steps

use column filter

select record(s)

use the field calculator to update something in the selected records

save

use again the "column filter" tool

crash

Debug: undo index changed 1

Segmentation fault

Associated revisions

Revision 663e95d7 - 2013-04-08 02:44 PM - Matthias Kuhn

[FIX #7529] Attribute table: Crash when changing column filter

When using the field calculator and afterwards changing the column filter

resulted in a crash

History

#1 - 2013-04-06 10:34 AM - Giovanni Manghi

by the way,

when updating just a bunch of selected records using the FC, the operation seems much slower than in 1.8

#2 - 2013-04-07 12:53 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2013-04-08 06:44 AM - Matthias Kuhn

- Status changed from Open to In Progress
Fixed, waiting for pull

https://github.com/qgis/Quantum-GIS/pull/508

#4 - 2013-04-08 12:20 PM - Matthias Kuhn

- Status changed from In Progress to Closed

Fixed in changeset commit:"663e95d77e8eb8a07f3cc41db92776c55c619dda".
